# -*- coding: utf-8 -*-
"""
@author: Eleve
"""
import matplotlib.pyplot as plt
import math
import time
import random
import numpy as np

# DEBUT :Extraction des données issues des mesures
fichier='D:/Cours/lycee/infoprepa/filtrage/resultats_angle.csv'   #adapter l'adresse
f=open(fichier,mode='r')  # ouverture du fichier en mode lecture

temps=[]
Angle_AccX=[]
Angle_FC=[]
Angle_Gyro_FC=[]
Angle_Acc_FC=[]
Angle_Pivot=[]
Angle_Gyro=[]

for ligne in f:
    ligne=ligne.replace(',','.')
    s=ligne.split(';')
    for i in range(7): s[i]=float(s[i])
    temps.append(s[0])
    Angle_AccX.append(s[1])
    Angle_FC.append(s[2])
    Angle_Gyro_FC.append(s[3])
    Angle_Acc_FC.append(s[4])
    Angle_Pivot.append(s[5])
    Angle_Gyro.append(s[6])

f.close() # fermeture du fichier
# FIN Extraction des données issues des mesures


#-------- QUESTION 2  -------#
def Filtrage(temps,e,tau):
    n=len(temps)
    s=[0]
    for i in range(0,n-1):
        s.append( s[i]+ (e[i]-s[i])*(temps[i+1]-temps[i])/tau )
    return s

AngleFiltre=Filtrage(temps,Angle_AccX,0.16)
plt.plot(temps,Angle_AccX)
plt.plot(temps,AngleFiltre)

plt.axhline(color='black') #affichage de l'axe des x
plt.axvline(color='black') #affichage de l'axe des y
plt.show()

#-------- QUESTION 3  -------#


